xine-lib: xine_mfrag_list_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
xine_mfrag_list_s Struct Reference

## Data Fields
xine_mfrag_frag_t * | frags
uint32_t | refs
uint32_t | have
uint32_t | used
uint32_t | known_nd
uint32_t | known_nl
uint32_t | dirty_from
uint32_t | avg_d
uint32_t | avg_l
uint64_t | known_d
uint64_t | known_l

## Field Documentation

## ◆ avg_d

uint32_t xine_mfrag_list_s::avg_d

<< rebuild start times/byte pos from here when needed

Referenced by _xine_mfrag_fix(), and xine_mfrag_list_open().

## ◆ avg_l

uint32_t xine_mfrag_list_s::avg_l

Referenced by _xine_mfrag_fix(), and xine_mfrag_list_open().

## ◆ dirty_from

uint32_t xine_mfrag_list_s::dirty_from

<< fragment counts

Referenced by _xine_mfrag_fix(), _xine_mfrag_test(), xine_mfrag_list_open(), and xine_mfrag_set_index_frag().

## ◆ frags

xine_mfrag_frag_t* xine_mfrag_list_s::frags

Referenced by _xine_mfrag_fix(), xine_mfrag_find_pos(), xine_mfrag_find_time(), xine_mfrag_get_index_frag(), xine_mfrag_get_index_start(), xine_mfrag_list_close(), xine_mfrag_list_open(), and xine_mfrag_set_index_frag().

## ◆ have

uint32_t xine_mfrag_list_s::have

Referenced by xine_mfrag_get_index_frag(), xine_mfrag_get_index_start(), xine_mfrag_list_open(), and xine_mfrag_set_index_frag().

## ◆ known_d

uint64_t xine_mfrag_list_s::known_d

Referenced by _xine_mfrag_fix(), xine_mfrag_list_open(), and xine_mfrag_set_index_frag().

## ◆ known_l

uint64_t xine_mfrag_list_s::known_l

<< time sum

Referenced by _xine_mfrag_fix(), xine_mfrag_list_open(), and xine_mfrag_set_index_frag().

## ◆ known_nd

uint32_t xine_mfrag_list_s::known_nd

Referenced by _xine_mfrag_fix(), xine_mfrag_list_open(), and xine_mfrag_set_index_frag().

## ◆ known_nl

uint32_t xine_mfrag_list_s::known_nl

Referenced by _xine_mfrag_fix(), xine_mfrag_list_open(), and xine_mfrag_set_index_frag().

## ◆ refs

uint32_t xine_mfrag_list_s::refs

Referenced by xine_mfrag_list_close(), and xine_mfrag_list_open().

## ◆ used

uint32_t xine_mfrag_list_s::used

Referenced by xine_mfrag_find_pos(), xine_mfrag_find_time(), xine_mfrag_get_frag_count(), xine_mfrag_list_open(), and xine_mfrag_set_index_frag().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/xine-utils/mfrag.c